JNDIProviderAdmin
Date: 2016-06-25

org.osgi.service.jndi

## Interface JNDIProviderAdmin

-     public interface JNDIProviderAdmin

  This interface defines the OSGi service interface for the JNDIProviderAdmin service. This service provides the ability to resolve JNDI References in a dynamic fashion that does not require calls to `NamingManager.getObjectInstance()`. The methods of this service provide similar reference resolution, but rely on the OSGi Service Registry in order to find `ObjectFactory` instances that can convert a Reference to an Object. This service will typically be used by OSGi-aware JNDI Service Providers.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getObjectInstance(java.lang.Object refInfo, javax.naming.Name name, javax.naming.Context context, java.util.Map environment)` Resolve the object from the given reference.
    `java.lang.Object` | `getObjectInstance(java.lang.Object refInfo, javax.naming.Name name, javax.naming.Context context, java.util.Map environment, javax.naming.directory.Attributes attributes)` Resolve the object from the given reference.

- - ### Method Detail

    - #### getObjectInstance

          java.lang.Object getObjectInstance(java.lang.Object refInfo,
                                           javax.naming.Name name,
                                           javax.naming.Context context,
                                           java.util.Map environment)
                                             throws java.lang.Exception

      Resolve the object from the given reference.
      Parameters:
        `refInfo` - Reference info
        `name` - the JNDI name associated with this reference
        `context` - the JNDI context associated with this reference
        `environment` - the JNDI environment associated with this JNDI context
      Returns:
        an Object based on the reference passed in, or the original reference object if the reference could not be resolved.
      Throws:
        `java.lang.Exception` - in the event that an error occurs while attempting to resolve the JNDI reference.

    - #### getObjectInstance

          java.lang.Object getObjectInstance(java.lang.Object refInfo,
                                           javax.naming.Name name,
                                           javax.naming.Context context,
                                           java.util.Map environment,
                                           javax.naming.directory.Attributes attributes)
                                             throws java.lang.Exception

      Resolve the object from the given reference.
      Parameters:
        `refInfo` - Reference info
        `name` - the JNDI name associated with this reference
        `context` - the JNDI context associated with this reference
        `environment` - the JNDI environment associated with this JNDI context
        `attributes` - the naming attributes to use when resolving this object
      Returns:
        an Object based on the reference passed in, or the original reference object if the reference could not be resolved.
      Throws:
        `java.lang.Exception` - in the event that an error occurs while attempting to resolve the JNDI reference.